# HEXAColor

@Serializable
@ JvmInline
value class HEXAColor (val hexaUInt: UInt ) : Comparable < HEXAColor > (source)

Wrapper for RGBA colors. Receiving UInt in main constructor. Each part in main constructor configured with `0x00 - 0xff` range. Examples:

- Red: `0xff0000ffu`

- Red (0.5 capacity): `0xff000088u`

Anyway it is recommended to use

#### Parameters

hexaUInt

rgba UInt in format `0xRRGGBBAA` where RR - red, GG - green, BB - blue` and AA - alpha

## Constructors

HEXAColor
Link copied to clipboard
constructor(hexaUInt: UInt )
constructor(r: Int , g: Int , b: Int , a: Int )
constructor(r: Int , g: Int , b: Int , aOfOne: Float = 1.0f)

## Types

Companion
Link copied to clipboard
object Companion

## Properties

a
Link copied to clipboard
val a : Int
ahex
Link copied to clipboard
val ahex : String
ahexUInt
Link copied to clipboard
val ahexUInt : UInt
aOfOne
Link copied to clipboard
val aOfOne : Float
b
Link copied to clipboard
val b : Int
g
Link copied to clipboard
val g : Int
hex
Link copied to clipboard
val hex : String
hexa
Link copied to clipboard
val hexa : String
hexaUInt
Link copied to clipboard
val hexaUInt : UInt
r
Link copied to clipboard
val r : Int
rgb
Link copied to clipboard
val rgb : String
rgba
Link copied to clipboard
val rgba : String
rgbInt
Link copied to clipboard
val rgbInt : Int
rgbUInt
Link copied to clipboard
val rgbUInt : UInt
shortHex
Link copied to clipboard
val shortHex : String
shortHexa
Link copied to clipboard
val shortHexa : String

## Functions

compareTo
Link copied to clipboard
open operator override fun compareTo (other: HEXAColor ): Int
copy
Link copied to clipboard
fun copy (r: Int = this.r, g: Int = this.g, b: Int = this.b, aOfOne: Float = this.aOfOne): HEXAColor
fun copy (r: Int = this.r, g: Int = this.g, b: Int = this.b, a: Int ): HEXAColor
toString
Link copied to clipboard
open override fun toString (): String